Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.vlaanderen.mercurius.mohm.common.v7
Class DecisionApplicationType

    java.lang.Object
      be.vlaanderen.mercurius.mohm.common.v7.DecisionApplicationType

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  DecisionApplicationCUType

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:07:47+01:00",
               comments="JAXB RI v2.2.11")
    public class DecisionApplicationType

extends Object
implements Serializable

Generiek type voor de beslissing van een aanvraag in de push naar de verstrekker.

Java class for DecisionApplicationType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DecisionApplicationType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="MobilityTool" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}DecisionMobilityToolType"/>
             <element name="BTC" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}DecisionBTCType" minOccurs="0"/>
             <element name="SupportAndRepair" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}SupportAndRepairDecisionType" minOccurs="0"/>
             <element name="DecisionDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
             <element name="Status" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}ApplicationStatusType"/>
             <element name="StatusDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
             <element name="MinDeliveryDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="MaxDeliveryDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="IsAccident" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="Procedure" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}ProcedureType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`DecisionApplicationType()`

Method Summary
`DecisionBTCType` | `getBTC()` Gets the value of the btc property.
`org.joda.time.DateTime` | `getDecisionDate()` Gets the value of the decisionDate property.
`org.joda.time.DateTime` | `getMaxDeliveryDate()` Gets the value of the maxDeliveryDate property.
`org.joda.time.DateTime` | `getMinDeliveryDate()` Gets the value of the minDeliveryDate property.
`DecisionMobilityToolType` | `getMobilityTool()` Gets the value of the mobilityTool property.
`ProcedureType` | `getProcedure()` Gets the value of the procedure property.
`ApplicationStatusType` | `getStatus()` Gets the value of the status property.
`org.joda.time.DateTime` | `getStatusDate()` Gets the value of the statusDate property.
`SupportAndRepairDecisionType` | `getSupportAndRepair()` Gets the value of the supportAndRepair property.
`boolean` | `isIsAccident()` Gets the value of the isAccident property.
`void` | `setBTC(DecisionBTCType value)` Sets the value of the btc property.
`void` | `setDecisionDate(org.joda.time.DateTime value)` Sets the value of the decisionDate property.
`void` | `setIsAccident(boolean value)` Sets the value of the isAccident property.
`void` | `setMaxDeliveryDate(org.joda.time.DateTime value)` Sets the value of the maxDeliveryDate property.
`void` | `setMinDeliveryDate(org.joda.time.DateTime value)` Sets the value of the minDeliveryDate property.
`void` | `setMobilityTool(DecisionMobilityToolType value)` Sets the value of the mobilityTool property.
`void` | `setProcedure(ProcedureType value)` Sets the value of the procedure property.
`void` | `setStatus(ApplicationStatusType value)` Sets the value of the status property.
`void` | `setStatusDate(org.joda.time.DateTime value)` Sets the value of the statusDate property.
`void` | `setSupportAndRepair(SupportAndRepairDecisionType value)` Sets the value of the supportAndRepair property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DecisionApplicationType

    public DecisionApplicationType()

Method Detail

### getMobilityTool

    public DecisionMobilityToolType getMobilityTool()

  Gets the value of the mobilityTool property.

  Returns:
    possible object is `DecisionMobilityToolType`

### setMobilityTool

    public void setMobilityTool(DecisionMobilityToolType value)

  Sets the value of the mobilityTool property.

  Parameters:
    `value` - allowed object is `DecisionMobilityToolType`

### getBTC

    public DecisionBTCType getBTC()

  Gets the value of the btc property.

  Returns:
    possible object is `DecisionBTCType`

### setBTC

    public void setBTC(DecisionBTCType value)

  Sets the value of the btc property.

  Parameters:
    `value` - allowed object is `DecisionBTCType`

### getSupportAndRepair

    public SupportAndRepairDecisionType getSupportAndRepair()

  Gets the value of the supportAndRepair property.

  Returns:
    possible object is `SupportAndRepairDecisionType`

### setSupportAndRepair

    public void setSupportAndRepair(SupportAndRepairDecisionType value)

  Sets the value of the supportAndRepair property.

  Parameters:
    `value` - allowed object is `SupportAndRepairDecisionType`

### getDecisionDate

    public org.joda.time.DateTime getDecisionDate()

  Gets the value of the decisionDate property.

  Returns:
    possible object is `String`

### setDecisionDate

    public void setDecisionDate(org.joda.time.DateTime value)

  Sets the value of the decisionDate property.

  Parameters:
    `value` - allowed object is `String`

### getStatus

    public ApplicationStatusType getStatus()

  Gets the value of the status property.

  Returns:
    possible object is `ApplicationStatusType`

### setStatus

    public void setStatus(ApplicationStatusType value)

  Sets the value of the status property.

  Parameters:
    `value` - allowed object is `ApplicationStatusType`

### getStatusDate

    public org.joda.time.DateTime getStatusDate()

  Gets the value of the statusDate property.

  Returns:
    possible object is `String`

### setStatusDate

    public void setStatusDate(org.joda.time.DateTime value)

  Sets the value of the statusDate property.

  Parameters:
    `value` - allowed object is `String`

### getMinDeliveryDate

    public org.joda.time.DateTime getMinDeliveryDate()

  Gets the value of the minDeliveryDate property.

  Returns:
    possible object is `String`

### setMinDeliveryDate

    public void setMinDeliveryDate(org.joda.time.DateTime value)

  Sets the value of the minDeliveryDate property.

  Parameters:
    `value` - allowed object is `String`

### getMaxDeliveryDate

    public org.joda.time.DateTime getMaxDeliveryDate()

  Gets the value of the maxDeliveryDate property.

  Returns:
    possible object is `String`

### setMaxDeliveryDate

    public void setMaxDeliveryDate(org.joda.time.DateTime value)

  Sets the value of the maxDeliveryDate property.

  Parameters:
    `value` - allowed object is `String`

### isIsAccident

    public boolean isIsAccident()

  Gets the value of the isAccident property.

### setIsAccident

    public void setIsAccident(boolean value)

  Sets the value of the isAccident property.

### getProcedure

    public ProcedureType getProcedure()

  Gets the value of the procedure property.

  Returns:
    possible object is `ProcedureType`

### setProcedure

    public void setProcedure(ProcedureType value)

  Sets the value of the procedure property.

  Parameters:
    `value` - allowed object is `ProcedureType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TRUSSMAKER 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.